package com.brilliance.isc.common.esb.finance;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

//@RequestMapping("/webapi/jk")
public interface IFinanceFeign {

    @PostMapping("/webapi/jk/6311")
    InnerRes<InnerRes6311> call6311(InnerReq<InnerReq6311> innerReq6311);

    @PostMapping("/webapi/jk/6157")
    InnerRes<InnerRes6157> call6157(InnerReq<InnerReq6157> innerReq6157);

    @PostMapping("/webapi/jk/2571")
    InnerRes<InnerRes2571> call2571(InnerReq<InnerReq2571> innerReq2571);

    @PostMapping("/webapi/jk/6153_1")
    InnerRes<InnerRes6153> call6153(InnerReq<InnerReq6153> innerReq6153);

    @PostMapping("/webapi/jk/9011")
    InnerRes<InnerRes9011> call9011(InnerReq<InnerReq9011> innerReq9011);

    @PostMapping("/webapi/jk/whj")
    InnerRes<InnerResWhj> callWhj(InnerReq<InnerReqWhj> innerReqWhj);

    @PostMapping("/webapi/jk/CPC3")
    InnerRes<InnerResCPC3> callCPC3(InnerReq<InnerReqCPC3> innerReqCPC3);

    @PostMapping("/webapi/jk/0904")
    InnerRes<InnerRes0904> call0904(InnerReq<InnerReq0904> innerReq0904);

    @PostMapping("/webapi/jk/Commonsign")
    InnerRes<InnerResFT70> callCommonsign(InnerReq<InnerReqAxqCommonsign> innerReqAxqCommonsign);
}
